Package org.springframework.beans

# Class ConversionNotSupportedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.beans.BeansException
org.springframework.beans.PropertyAccessException
org.springframework.beans.TypeMismatchException
org.springframework.beans.ConversionNotSupportedException

All Implemented Interfaces:
  `Serializable`

public class ConversionNotSupportedException extends TypeMismatchException
Exception thrown when no suitable editor or converter can be found for a bean property.

Since:
  3.0
Author:
  Arjen Poutsma, Juergen Hoeller
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.springframework.beans.TypeMismatchException

`ERROR_CODE`

## Constructor Summary

Constructors
Constructor
Description
`ConversionNotSupportedException(PropertyChangeEvent propertyChangeEvent, Class<?> requiredType, Throwable cause)`
Create a new ConversionNotSupportedException.
`ConversionNotSupportedException(Object value, Class<?> requiredType, Throwable cause)`
Create a new ConversionNotSupportedException.

## Method Summary

### Methods inherited from class org.springframework.beans.TypeMismatchException

`getErrorCode, getPropertyName, getRequiredType, getValue, initPropertyName`

### Methods inherited from class org.springframework.beans.PropertyAccessException

`getPropertyChangeEvent`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConversionNotSupportedException

public ConversionNotSupportedException(PropertyChangeEvent propertyChangeEvent, @Nullable Class<?> requiredType, @Nullable Throwable cause)
Create a new ConversionNotSupportedException.

Parameters:
  `propertyChangeEvent` - the PropertyChangeEvent that resulted in the problem
  `requiredType` - the required target type (or `null` if not known)
  `cause` - the root cause (may be `null`)

### ConversionNotSupportedException

public ConversionNotSupportedException(@Nullable Object value, @Nullable Class<?> requiredType, @Nullable Throwable cause)
Create a new ConversionNotSupportedException.

Parameters:
  `value` - the offending value that couldn't be converted (may be `null`)
  `requiredType` - the required target type (or `null` if not known)
  `cause` - the root cause (may be `null`)